import { GLOBAL_OBJ } from "./utils/worldwide.js";
import { SDK_VERSION } from "./utils/version.js";
//#region node_modules/@sentry/core/build/esm/carrier.js
function getMainCarrier() {
	getSentryCarrier(GLOBAL_OBJ);
	return GLOBAL_OBJ;
}
function getSentryCarrier(carrier) {
	const __SENTRY__ = carrier.__SENTRY__ = carrier.__SENTRY__ || {};
	__SENTRY__.version = __SENTRY__.version || "10.56.0";
	return __SENTRY__[SDK_VERSION] = __SENTRY__["10.56.0"] || {};
}
function getGlobalSingleton(name, creator, obj = GLOBAL_OBJ) {
	const __SENTRY__ = obj.__SENTRY__ = obj.__SENTRY__ || {};
	const carrier = __SENTRY__[SDK_VERSION] = __SENTRY__["10.56.0"] || {};
	return carrier[name] || (carrier[name] = creator());
}
//#endregion
export { getGlobalSingleton, getMainCarrier, getSentryCarrier };
